SparkyLinux Forums

Installation & Upgrade => Installation => Topic started by: BaukeP on April 09, 2021, 03:36:43 pm

Title: SOLVED Trying KDE rolling
Post by: BaukeP on April 09, 2021, 03:36:43 pm
Hello,
I downloaded the newest KDE iso (rolling) and installed it on a Dell XPS-15. Everything went fine, but when I tried to open kate as root, i got the following screen:

Code: [Select]
bauke@xps-sparky-kde:~$ pkexec kate
qt.qpa.xcb: could not connect to display
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: wayland-org.kde.kwin.qpa, eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.

Afgebroken
bauke@xps-sparky-kde:~$



I installed the following packages:
wayland-protocols (1.20-1)
wdisplays (1.0-2)
qml-module-qtwayland-client-texturesharing (5.15.2-2)
qml-module-qtwayland-compositor (5.15.2-2)

But that didn't help

What should I do?

Thanks in advance

Bauke
Title: Re: Trying KDE rolling
Post by: pavroo on April 09, 2021, 04:05:19 pm
You can not run all apps with pkexec, only those ones which are configured with pkexec.

Try sudo:
Code: [Select]
sudo kateor spsudo (if sparky-su is installed):
Code: [Select]
spsudo kate
Title: Re: Trying KDE rolling
Post by: paxmark1 on April 10, 2021, 12:05:57 am
And for some of the latest on the state of KDE in Sparky-Rolling, and Sid,  via Debian Planet.

https://www.preining.info/blog/2021/04/debian-kde-plasma-and-digikam-status-2021-04-07/

Norbert has never steered me wrong with other binaries he the ball rolling in Debian.  (Calbiber and Sigil).   
Title: Re: Trying KDE rolling
Post by: BaukeP on May 07, 2021, 10:48:51 pm
Sorry for this late reaction.
Thanks a lot. Running perfectly now!

Bauke